List memory records
curl --request GET \
--url https://api.tensorpro.ai/api/v1/memory/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tensorpro.ai/api/v1/memory/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tensorpro.ai/api/v1/memory/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"content_summary": "<string>",
"created_at": "<string>",
"domain": "<string>",
"id": "<string>",
"is_active": true,
"provenance": "<string>"
}
],
"total": 123,
"user_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Memory
List memory records
Return your memory records, newest first. Optionally filter by provenance class or domain, and page with limit (maximum 200) and offset. Deleted records are excluded from both the page and the total.
GET
/
api
/
v1
/
memory
/
records
List memory records
Authorizations
EDN API key presented as a bearer token in the Authorization header ('Authorization: Bearer '). Create and manage keys from the Console.
Query Parameters
Filter by provenance class
Filter by domain
Max records to return (capped at 200)
Required range:
x >= 1Pagination offset
Required range:
x >= 0